/* ESTILOS GLOBALES */

/* variables para estilos globales del documento */
:root {
    /* colores */
    --primary-color: #99CFD0;
    --primary-color-variant: #7fc1c3;
    --secondary-color: #bae8ee;
    --secondary-color-variant: #96dae3;
    --background-color: #f1f1f1;
    --surface-color: #fcfcfc;
    --error-color: #b00020;
    --white-color: #fcfcfc;
    --black-color: #404040;
    --grey-color: #e1e1e1;
    --grey-dark-color: #707070;
    --grey-medium-color: #9f9f9f;
    --grey-light-color: #f1f1f1;

    /* spacing */
    --xs-space: 4px;
    --s-space: 8px;
    --r-space: 16px;
    --m-space: 32px;
    --l-space: 62px;
    --xl-space: 128px;

    /* shadow */
    --small-shadow: 1px 1px 2px 1px rgba(0, 0, 0, 0.1);
    --small-shadow-inter: inset 0px 0px 3px rgba(0, 0, 0, 0.3);
    --sBack-shadow: 0px 2px 2px 1px rgba(0, 0, 0, 0.1);
    --big-shadow: 3px 4px 5px 1px rgba(0, 0, 0, 0.03);

    /* border */
    --small-radius: 15px;
    --big-radius: 30px;
}


html, body {
    margin: 0;
    padding: 0;
    background-color: var(--background-color);
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    font-weight: 400;
    color: var(--black-color);
    /* box-sizing: border-box; */
}

html {
    height: 100%;
}

.principal-body {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    height: 100vh;
    display: grid;
    grid-template-rows: 40px 1fr;
}


/* Typography */
h1 {font-size: 80px; font-weight: 500; margin: 0px; font-family: 'Montserrat', sans-serif;}
h2 {font-size: 40px; font-weight: 500; margin: 0px; font-family: 'Montserrat', sans-serif;}
h3 {font-size: 32px; font-weight: 400; margin: 0px; font-family: 'Montserrat', sans-serif;}
h4 {font-size: 24px; font-weight: 500; margin: 0px; font-family: 'Montserrat', sans-serif;}
h5 {font-size: 18px; font-weight: 400; margin: 0px; font-family: 'Montserrat', sans-serif;}
.bodyFont {font-size: 16px; font-weight: 400; margin: 0px; font-family: 'Montserrat', sans-serif;}
.bodyNote {font-size: 13px; font-weight: 400; margin: 0px; font-family: 'Montserrat', sans-serif;}
.footNote {font-size: 12px; font-weight: 400; margin: 0px; font-family: 'Montserrat', sans-serif;}
.buttonFont {font-size: 16px !important; font-weight: 400; text-transform: uppercase; letter-spacing: 1px; margin: 0px; font-family: 'Montserrat', sans-serif;}
a {text-decoration: none; margin: 0px; font-family: 'Montserrat', sans-serif;}

.bodyNote-white {font-size: 13px; font-weight: 400; margin: 0px; font-family: 'Montserrat', sans-serif; color: #ffffff;}

.input {
    font-size: 14px;
    padding: var(--s-space);
    border: 1px var(--grey-dark-color) solid;
    border-radius: var(--small-radius);
    background-color: transparent;
}

.input:hover {
    border-color: var(--primary-color-variant);
}

.input:focus {
    border: none;
    box-shadow: var(--small-shadow-inter);
    -moz-box-shadow: var(--small-shadow-inter);
    -webkit-box-shadow: var(--small-shadow-inter);
    outline: none;
}


.grey-color-font {
    color: var(--grey-dark-color)
}

.button {
    width: 98%;
    background-color: var(--primary-color);
    border: 0;
    color: var(--white-color);
}

.button:hover {
    background-color: var(--primary-color-variant);
}

.button:focus {
    background-color: var(--primary-color-variant);
    box-shadow: var(--small-shadow);
    outline: none;
}
